#include <stdio.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdlib.h>
#include "../tape.h"

int error(char *argv);

int main(int argc, char **argv)
{
	char *infile;
	TAPE *intp;

	if (argc < 2) error(argv[0]);
	infile = argv[1];

	if ((intp = tropen(infile)) == NULL) {
		fprintf(stderr, "%s: Can't read file\n", infile);
		exit(1);
	}

	if (tcheck_tape(intp)) {
		printf("Tape file '%s' is valid\n", infile);
	} else {
		printf("Tape file '%s' is corrupted\n", infile);
	}
	return 0;
}

int error(char *argv)
{
	fprintf(stderr, "%s file\n", argv);
	exit(1);
}
